%define	relver	1.3.4c

Name:		swm
Version:	1.3.4
Release:	%mkrel 7
Summary:	A small window manager for X11
Group:		Graphical desktop/Other
License:	GPL
URL:		https://www.small-window-manager.de/swm.html
Source0:	https://www.small-window-manager.de/%{name}-%{relver}-src.tgz
Source1:	Makefile.source
Source2:	swm.conf
Source3:	swm.desktop
Patch0:		swm-1.3.4-fixstart.patch

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xpm)

Requires:	xterm


%description 
Swm is a small window manager for X11 designed for very small laptop-screens
with a resolution of 640x400 pixels and above. (Or with PDA-mode
320x240) SWM is even smaller than a rxvt!

%prep
%autosetup -p1

cp %{SOURCE1} Makefile
cp %{SOURCE2} src/swm.conf
mv swmswitch swmswitch_dir
mv swmbg swmbg_dir

%build
%make_build CFLAGS="%{optflags} -std=gnu17" LDFLAGS=" %{ldflags}" LDPATH="-L%{_libdir}"

%install
%make_install INSTALLROOT=%{buildroot} PREFIX=%{_prefix}

%__install -D -m 644 %{SOURCE3} %{buildroot}%{_datadir}/xsessions/swm.desktop

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/12Swm.desktop ]; then
	rm -rf %{_datadir}/xsessions/12Swm.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/12Swm.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/12Swm.desktop
fi

%files
%doc %{_docdir}/%{name}/
%{_datadir}/xsessions/swm.desktop
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/


%changelog
* Sat May 24 2025 daviddavid <daviddavid> 1.3.4-7.mga10
+ Revision: 2186165
- fix build with gcc 15 using -std=gnu17

* Sun Dec 22 2024 pterjan <pterjan> 1.3.4-6.mga10
+ Revision: 2128180
- Rebuild for patchN deprecation

* Wed Mar 30 2022 umeabot <umeabot> 1.3.4-5.mga9
+ Revision: 1835089
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- fix usage of  in posttrans
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Fri Feb 14 2020 umeabot <umeabot> 1.3.4-4.mga8
+ Revision: 1517308
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3.4-3.mga7
+ Revision: 1301267
- Mageia 7 Mass Rebuild

* Fri Feb 24 2017 wally <wally> 1.3.4-2.mga6
+ Revision: 1087705
- drop obsolete wmsession.d files
- rename xsessions .desktop file
- remove generated xsessions .desktop file leftovers on update

* Fri Sep 30 2016 eatdirt <eatdirt> 1.3.4-1.mga6
+ Revision: 1057831
- Upgrade to latest stable and add desktop file for sddm

* Wed Feb 17 2016 umeabot <umeabot> 1.2.5-16.mga6
+ Revision: 962994
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 1.2.5-15.mga6
+ Revision: 894334
- rediff relocate patch to stop stripping binary

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-14.mga5
+ Revision: 743737
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-13.mga5
+ Revision: 689645
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.5-12.mga4
+ Revision: 521272
- Mageia 4 Mass Rebuild

* Sat Jan 19 2013 fwang <fwang> 1.2.5-11.mga3
+ Revision: 389792
- cleanup spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 02 2011 dmorgan <dmorgan> 1.2.5-10.mga1
+ Revision: 46421
- imported package swm


* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 1.2.5-10mdv2011.0
+ Revision: 634642
- bunzip2 the patch
- fix linkage
- turn to regular prefix

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 1.2.5-9mdv2010.0
+ Revision: 434250
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 1.2.5-8mdv2009.0
+ Revision: 261308
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.2.5-7mdv2009.0
+ Revision: 253946
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 12 2007 Thierry Vignaud <tv@mandriva.org> 1.2.5-5mdv2008.1
+ Revision: 118961
- buildrequires X11-devel instead of XFree86-devel
- use %%mkrel
- import swm


* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.5-5mdk
- own %%datadir/swm

* Sat Sep 06 2003 Marcel Pol <mpol@gmx.net> 1.2.5-4mdk
- buildrequires

* Sun Jul 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.2.5-3mdk
- cosmetics
- rebuild
- quiet setup
- use $RPM_OPT_FLAGS

* Wed Oct 17 2001 Daouda LO <daouda@mandrakesoft.com> 1.2.5-2mdk
- s/Copyright/License
- right permissions on file 

* Sun Sep  2 2001 Daouda LO <daouda@mandrakesoft.com> 1.2.5-1mdk
- release 1.2.5

* Wed Apr 11 2001  Daouda Lo <daouda@mandrakesoft.com> 1.2.4-2mdk
- add Wmsession . 

* Wed Apr 11 2001  Daouda Lo <daouda@mandrakesoft.com> 1.2.4-1mdk
- release ( bug fixes )

*Thu Feb 01 2001 Daouda Lo <daouda@mandrakesoft.com> 1.2.2-1mdk
- first mdk release  
